Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ccl.jcf
Class TypeDescriptor

    java.lang.Object
      |
      +--ccl.jcf.TypeDescriptor

All Implemented Interfaces:
  TypeDescriptorConstants

public class TypeDescriptor
extends java.lang.Object
implements TypeDescriptorConstants

Field Summary
`Token` | `jj_nt`
`Token` | `token`
`TypeDescriptorTokenManager` | `token_source`

Fields inherited from interface ccl.jcf.TypeDescriptorConstants
`ARRAY, BOOLEAN, BYTE, CHAR, CLASS, DEFAULT, DOUBLE, EOF, FLOAT, INT, LONG, SEMICOLON, SHORT, tokenImage`

Constructor Summary
`TypeDescriptor()`
`TypeDescriptor(java.io.InputStream stream)`
`TypeDescriptor(TypeDescriptorTokenManager tm)`

Method Summary
`void` | `disable_tracing()`
`void` | `enable_tracing()`
`ParseException` | `generateParseException()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`java.lang.String` | `parse()`
`void` | `ReInit(java.io.InputStream stream)`
`void` | `ReInit(TypeDescriptorTokenManager tm)`
`void` | `TypeDescriptors()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public TypeDescriptorTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

Constructor Detail

### TypeDescriptor

    public TypeDescriptor()

### TypeDescriptor

    public TypeDescriptor(java.io.InputStream stream)

### TypeDescriptor

    public TypeDescriptor(TypeDescriptorTokenManager tm)

Method Detail

### parse

    public java.lang.String parse()

### TypeDescriptors

    public final void TypeDescriptors()
                               throws ParseException

    `ParseException`

### ReInit

    public void ReInit(java.io.InputStream stream)

### ReInit

    public void ReInit(TypeDescriptorTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public final ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD